r1757 - trunk/varnish-tools/nagios
des at projects.linpro.no
des at projects.linpro.no
Tue Jul 24 18:20:04 CEST 2007
Author: des
Date: 2007-07-24 18:20:04 +0200 (Tue, 24 Jul 2007)
New Revision: 1757
Added:
trunk/varnish-tools/nagios/autogen.des
trunk/varnish-tools/nagios/autogen.sh
Log:
Re-add as files
Added: trunk/varnish-tools/nagios/autogen.des
===================================================================
--- trunk/varnish-tools/nagios/autogen.des (rev 0)
+++ trunk/varnish-tools/nagios/autogen.des 2007-07-24 16:20:04 UTC (rev 1757)
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# $Id$
+#
+
+set -ex
+
+. ./autogen.sh
+
+# autoconf prior to 2.62 has issues with zsh 4.2 and newer
+export CONFIG_SHELL=/bin/sh
+
+./configure \
+ --enable-developer-warnings \
+ --enable-debugging-symbols \
+ --enable-dependency-tracking \
+ --enable-extra-developer-warnings \
+ --enable-stack-protector \
+ --enable-werror \
+ --prefix=/opt/varnish
Property changes on: trunk/varnish-tools/nagios/autogen.des
___________________________________________________________________
Name: svn:executable
+ *
Name: svn:keywords
+ Id
Added: trunk/varnish-tools/nagios/autogen.sh
===================================================================
--- trunk/varnish-tools/nagios/autogen.sh (rev 0)
+++ trunk/varnish-tools/nagios/autogen.sh 2007-07-24 16:20:04 UTC (rev 1757)
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# $Id$
+#
+
+warn() {
+ echo "WARNING: $@" 1>&2
+}
+
+case `uname -s` in
+Darwin)
+ LIBTOOLIZE=glibtoolize
+ ;;
+FreeBSD)
+ LIBTOOLIZE=libtoolize
+ if [ -d /usr/local/gnu-autotools/bin ] ; then
+ PATH=/usr/local/gnu-autotools/bin:${PATH}
+ export PATH
+ FIX_BROKEN_FREEBSD_PORTS="-I /usr/local/share/aclocal"
+ fi
+ ;;
+Linux)
+ LIBTOOLIZE=libtoolize
+ ;;
+esac
+
+automake_version=$(automake --version | tr ' ' '\n' | egrep '^[0-9]\.[0-9a-z.-]+')
+if [ -z "$automake_version" ] ; then
+ warn "unable to determine automake version"
+else
+ case $automake_version in
+ 0.*|1.[0-8]|1.[0-8][.-]*)
+ warn "automake ($automake_version) detected; 1.9 or newer recommended"
+ ;;
+ *)
+ ;;
+ esac
+fi
+
+set -ex
+
+aclocal ${FIX_BROKEN_FREEBSD_PORTS}
+$LIBTOOLIZE --copy --force
+autoheader
+automake --add-missing --copy --foreign
+autoconf
Property changes on: trunk/varnish-tools/nagios/autogen.sh
___________________________________________________________________
Name: svn:executable
+ *
Name: svn:keywords
+ Id
More information about the varnish-commit
mailing list